0

I'm trying to use the Linux fault injection framework to simulate faults. I'm using ubuntu 16.04 LTS (4.15.0-33-generic), but i didn't find any way to "activate" the FI framework. How do I configure the kernel with fault-injection enabled?

0

The Ubuntu kernel is configured without CONFIG_FAULT_INJECTION, so it doesn’t have any of the fault injection framework.

To be able to inject faults, you’ll need to rebuild a kernel, with the appropriate configuration. On Ubuntu, the simplest way to do this is to follow the Ubuntu instructions — that way you’ll get the appropriate base configuration and any Ubuntu patches.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.